Bug 22772 - Menu link hover color incorrect in OPAC language choosers
Summary: Menu link hover color incorrect in OPAC language choosers
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 22274 22638
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-25 15:22 UTC by Owen Leonard
Modified: 2019-05-08 14:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22772: Menu link hover color incorrect in OPAC language choosers (1.95 KB, patch)
2019-04-25 15:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22772: Menu link hover color incorrect in OPAC language choosers (2.00 KB, patch)
2019-04-26 05:53 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 22772: Menu link hover color incorrect in OPAC language choosers (2.07 KB, patch)
2019-04-27 15:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-04-25 15:22:08 UTC
The hover color is incorrect in the OPAC's language selection menus. In the footer it's blue, in the header it's the same color as the background (so, invisible).
Comment 1 Owen Leonard 2019-04-25 15:30:16 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2019-04-26 05:53:57 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-04-27 15:08:01 UTC
Created attachment 88986 [details] [review]
Bug 22772: Menu link hover color incorrect in OPAC language choosers

This patch makes a few corrections to OPAC CSS to fix colors in the
language menus.

To test, apply the patch and rebuild the OPAC CSS.

- Enable multiple languages in the OPAC, including more than one
  language "variation" (fr-FR, fr-CA).
- Set the OpacLangSelectorMode preference to "both."
- In the OPAC, test the language menu in both the header and footer.
  When you hover over the sub-menu items the background should be green
  and the text color white.
- Perform the same test in the self checkout and self checkin
  interfaces.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-04-29 16:21:19 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-05-08 14:02:43 UTC
Depends on bug 22638 not it 18.11.x series.